> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-ads-demand/best-practices/using-sellers.json-and-supplychain.md).

# Using sellers.json and SupplyChain

The following items provide compliance with IAB specifications aimed at increasing trust in the supply chain: `sellers.json` and the OpenRTB `SupplyChain` object. For more information about these IAB specifications, see the [IAB site](https://iabtechlab.com/sellers-json/).

## DT sellers.json <a href="#h_01jq5dkexbqz12g54jasta0zbz" id="h_01jq5dkexbqz12g54jasta0zbz"></a>

DT must post a publicly available `sellers.json` file on our website listing our complete list of publishers. As an advertiser, use this file to cross‑reference the `app‑ads.txt` entries provided by the publisher. Use `Publisher ID` and `SSP Domain` to identify entities across both specifications.

DT provides our complete list of publishers in our [sellers.json](https://www.digitalturbine.com/sellers.json) file.

## Implementing the SupplyChain Object <a href="#h_01jq5dkexb138636dt6nsjnt1f" id="h_01jq5dkexb138636dt6nsjnt1f"></a>

The `SupplyChain` object outlines the entire supply path from the publisher to the advertiser, detailing all intermediary reseller entities involved in the process. DT introduces the first node in the chain to inform our buyers of our direct publisher relationships. Any advertising system that resells DT supply is required to add its own node, ensuring that DSPs can trace the full payment chain all the way back to the publisher.

DT supports the `SupplyChain` object for OpenRTB, API, and tag integrations. To enable `SupplyChain` , contact your DT Representative.

### OpenRTB Implementation <a href="#h_01jq5dkexbw1sd4r2c9qf7zgbz" id="h_01jq5dkexbw1sd4r2c9qf7zgbz"></a>

DT supports all required OpenRTB schain attributes. For OpenRTB 2.5, the `SupplyChain` object is in `BidRequest.Source.ext.schain`. For more details, see the OpenRTB documentation for the [`Source`](https://gitlab.com/digitalturbine/dt-developer-portal/gitbook/-/blob/main/14_exchange_dsp/dt-exchange-openrtb-2.5-specs#object-source) object.

The following snippet is a sample bid request that contains the `SupplyChain (schain)` object in an OpenRTB 2.5 integration:

{% code title="JSON" %}

```json
{
   "schain": {
      "ver": "1.0",
      "complete": 1,
      "nodes": [
         {
            "asi": "fyber.com",
            "sid": "222222",
            "hp": "1",
            "rid": "9999381608846099999"
         }
      ]
   }
}
```

{% endcode %}

### API or Tag Implementation <a href="#h_01jq5dkexck5w9w3r84gzem8r7" id="h_01jq5dkexck5w9w3r84gzem8r7"></a>

Per the IAB spec, DT supports the `$SCHAIN` macro for Single Hop - Chain Complete. This macro returns a string-serialized SupplyChain list with the advertising system’s node appended.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-ads-demand/best-practices/using-sellers.json-and-supplychain.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
